package com.cpp.web.domain.datafactory;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.cpp.common.annotation.Excel;
import com.cpp.common.core.domain.BaseEntity;
import com.cpp.web.domain.BaseCppEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 基础解析
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
public class BaseParsing extends BaseCppEntity {

    /**
     * 数据类型（s：单行，m：多行）
     */
    @ApiModelProperty(value = "文件名")
    private String dataType;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String fileType;

}
