package com.cpp.web.service.station;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.ElectricField;

import java.math.BigDecimal;
import java.util.List;

/**
 * cpp_electric_field
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface ElectricFieldService extends IService<ElectricField> {
    ElectricField findByStationCode(String stationCode);

    List<ElectricField> syncStation();
}
